
GammaLib - Bug #4197

GammaLib unit test failure on Jenkins

01/12/2023 02:34 PM - Knödlseder Jürgen

Status: Closed Start date: 01/12/2023

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

The current development branch has a unit test failure on the new mac OS 10.11 VM:

PASS: test_GSupport

PASS: test_GVector

PASS: test_GMatrix

PASS: test_GMatrixSparse

PASS: test_GMatrixSymmetric

PASS: test_GNumerics

PASS: test_GFits

PASS: test_GXml

PASS: test_GVO

PASS: test_GXspec

PASS: test_GApplication

PASS: test_GModel

PASS: test_GSky

PASS: test_GOptimizer

PASS: test_GObservation

PASS: ../inst/mwl/test/test_MWL

PASS: ../inst/cta/test/test_CTA

PASS: ../inst/lat/test/test_LAT

FAIL: ../inst/com/test/test_COM

PASS: ../inst/spi/test/test_SPI

PASS: test_python.sh

PASS: test_examples.sh

============================================================================

Testsuite summary for gammalib 2.1.0.dev

============================================================================

# TOTAL: 22

# PASS:  21

# SKIP:  0

# XFAIL: 0

# FAIL:  1

# XPASS: 0

# ERROR: 0

============================================================================

See test/test-suite.log

Please report to jurgen.knodlseder@irap.omp.eu

============================================================================

While there is no failure on my Mac, these failures occur on all VMs. Here for example the output of centos6:

GCOMObservation: Test binned optimizer using response cache: E NOK

History
#1 - 01/12/2023 03:24 PM - Knödlseder Jürgen

- % Done changed from 0 to 10

It turns out that the failure occurs during make distcheck.

#2 - 01/12/2023 04:40 PM - Knödlseder Jürgen

- % Done changed from 10 to 50

The following error message occurred in the test report

<error message="*** ERROR in GFits::open(GFilename&amp;, bool&amp;): could not open the named file (status=104). Error occured when opening

 FITS file &quot;../../../inst/com/test/data/../inst/com/test/data/m50439_dre.fits&quot;." type="N10GException10fits_errorE" />

There are indeed ../inst/com/test/data/ file name prefixes in obs_cache.xml that are not in obs.xml and that seem to pose problems.

#3 - 01/12/2023 04:55 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- Target version set to 2.1.0

- % Done changed from 50 to 100

On my Mac this fixes the problem/

#4 - 01/19/2023 07:36 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

The modification was merged into devel.
